using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace EasyPaint
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.ColorDialog colorDialog1;
		//,     .
		// true -  
		bool DrawMode = false;
		//  ,     
		ArrayList points = new ArrayList();
		//  mainPen  Pen
		Pen mainPen;
		private System.Windows.Forms.MenuItem mnuFormat;
		private System.Windows.Forms.MenuItem mnuColor;
		private System.Windows.Forms.MenuItem mnuWidth;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			this.Cursor = new Cursor("Pencil.cur");
			mainPen = new Pen(this.ForeColor);
			this.MouseDown+=new MouseEventHandler(Form1_MouseDown);

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Form1));
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			this.mnuFormat = new System.Windows.Forms.MenuItem();
			this.mnuColor = new System.Windows.Forms.MenuItem();
			this.mnuWidth = new System.Windows.Forms.MenuItem();
			this.colorDialog1 = new System.Windows.Forms.ColorDialog();
			// 
			// mainMenu1
			// 
			this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.mnuFormat});
			// 
			// mnuFormat
			// 
			this.mnuFormat.Index = 0;
			this.mnuFormat.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.mnuColor,
																					  this.mnuWidth});
			this.mnuFormat.Text = "&";
			// 
			// mnuColor
			// 
			this.mnuColor.Index = 0;
			this.mnuColor.Text = "&";
			this.mnuColor.Click += new System.EventHandler(this.mnuColor_Click);
			// 
			// mnuWidth
			// 
			this.mnuWidth.Index = 1;
			this.mnuWidth.Text = "& ";
			this.mnuWidth.Click += new System.EventHandler(this.mnuWidth_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.BackColor = System.Drawing.SystemColors.ActiveCaptionText;
			this.ClientSize = new System.Drawing.Size(292, 245);
			this.Cursor = System.Windows.Forms.Cursors.Default;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Menu = this.mainMenu1;
			this.Name = "Form1";
			this.Text = "EasyPaint";
			this.MouseDown += new System.Windows.Forms.MouseEventHandler(this.Form1_MouseDown);
			this.MouseUp += new System.Windows.Forms.MouseEventHandler(this.Form1_MouseUp);
			this.MouseMove += new System.Windows.Forms.MouseEventHandler(this.Form1_MouseMove);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}
	//      .
		private void Form1_MouseDown(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			//    
			if(e.Button==MouseButtons.Left)
			{
				//  
				DrawMode = true;
				//     points
				points.Clear();

			}
		
		}
	//    
		private void Form1_MouseMove(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			//   
			if(DrawMode)
			{
				//  pt  Point,
				//        
				Point pt = new Point(e.X, e.Y);
				//     points
				points.Add(pt);
				if (points.Count<=1) return;
				//   pts,       points
				Point [] pts = new Point [ points.Count];
				//  points   pts    
				points.CopyTo(pts, 0);
				//  graph  Graphics  
				Graphics graph = this.CreateGraphics();
				//  DrawCurve   ,  
				//  mainPen   pts
				graph.DrawCurve(mainPen, pts);
			
			}
		
		}
//     
		private void Form1_MouseUp(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			//  .
			DrawMode = false;
		}

		private void mnuColor_Click(object sender, System.EventArgs e)
		{
			if(colorDialog1.ShowDialog()==DialogResult.OK)
			{
				mainPen = new Pen(colorDialog1.Color );
			}
		}

		private void mnuWidth_Click(object sender, System.EventArgs e)
		{
			LineWidth diag = new LineWidth();
			if (diag.ShowDialog(this)== DialogResult.OK)
			{
				mainPen = new Pen(mainPen.Color, diag.PenWidth);
			}
		}
		}
	}

