using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace EasyPaint
{
	/// <summary>
	/// Summary description for LineWidth.
	/// </summary>
	public class LineWidth : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.TrackBar trackBar1;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.NumericUpDown numericUpDown1;
		private System.Windows.Forms.Label label1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		private void DrawLine()
		{
			// ,    , 
			//   panel1   
			int y = panel1.Bottom/2;
			//  point1,     , c  y
			Point point1 = new Point(panel1.Left,y);
			//  point2,      , c  y
			Point point2 = new Point(panel1.Right,y);
			//  graph  Graphics  
			Graphics graph = panel1.CreateGraphics();
			//  ,     numericUpDown1
			float f = Decimal.ToSingle(numericUpDown1.Value);
			//  pen    
			Pen pen = new Pen (Color.Blue, f);
			//  point1  point2
			graph.DrawLine(pen, point1, point2);
			
		}

		public float PenWidth
		{
			get
			{
				float f = Decimal.ToSingle(numericUpDown1.Value);
				return f;
			}
		}

		public LineWidth()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
		

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.btnOK = new System.Windows.Forms.Button();
			this.btnCancel = new System.Windows.Forms.Button();
			this.trackBar1 = new System.Windows.Forms.TrackBar();
			this.panel1 = new System.Windows.Forms.Panel();
			this.numericUpDown1 = new System.Windows.Forms.NumericUpDown();
			this.label1 = new System.Windows.Forms.Label();
			((System.ComponentModel.ISupportInitialize)(this.trackBar1)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown1)).BeginInit();
			this.SuspendLayout();
			// 
			// btnOK
			// 
			this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.btnOK.Location = new System.Drawing.Point(32, 224);
			this.btnOK.Name = "btnOK";
			this.btnOK.TabIndex = 0;
			this.btnOK.Text = "&OK";
			// 
			// btnCancel
			// 
			this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.btnCancel.Location = new System.Drawing.Point(136, 224);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.TabIndex = 0;
			this.btnCancel.Text = "&";
			// 
			// trackBar1
			// 
			this.trackBar1.Location = new System.Drawing.Point(16, 168);
			this.trackBar1.Maximum = 100;
			this.trackBar1.Minimum = 1;
			this.trackBar1.Name = "trackBar1";
			this.trackBar1.Size = new System.Drawing.Size(224, 45);
			this.trackBar1.TabIndex = 9;
			this.trackBar1.TickFrequency = 5;
			this.trackBar1.Value = 5;
			this.trackBar1.Scroll += new System.EventHandler(this.trackBar1_Scroll);
			// 
			// panel1
			// 
			this.panel1.Location = new System.Drawing.Point(8, 8);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(232, 104);
			this.panel1.TabIndex = 8;
			// 
			// numericUpDown1
			// 
			this.numericUpDown1.DecimalPlaces = 1;
			this.numericUpDown1.Increment = new System.Decimal(new int[] {
																			 1,
																			 0,
																			 0,
																			 65536});
			this.numericUpDown1.Location = new System.Drawing.Point(120, 136);
			this.numericUpDown1.Minimum = new System.Decimal(new int[] {
																		   1,
																		   0,
																		   0,
																		   0});
			this.numericUpDown1.Name = "numericUpDown1";
			this.numericUpDown1.TabIndex = 7;
			this.numericUpDown1.Value = new System.Decimal(new int[] {
																		 1,
																		 0,
																		 0,
																		 0});
			this.numericUpDown1.ValueChanged += new System.EventHandler(this.numericUpDown1_ValueChanged);
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 136);
			this.label1.Name = "label1";
			this.label1.TabIndex = 6;
			this.label1.Text = "";
			// 
			// LineWidth
			// 
			this.AcceptButton = this.btnOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.btnCancel;
			this.ClientSize = new System.Drawing.Size(248, 254);
			this.Controls.Add(this.trackBar1);
			this.Controls.Add(this.panel1);
			this.Controls.Add(this.numericUpDown1);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.btnOK);
			this.Controls.Add(this.btnCancel);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "LineWidth";
			this.Text = " ";
			this.Paint += new System.Windows.Forms.PaintEventHandler(this.LineWidth_Paint);
			((System.ComponentModel.ISupportInitialize)(this.trackBar1)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		private void LineWidth_Paint(object sender, System.Windows.Forms.PaintEventArgs e)
		{
			DrawLine();
		}

		private void trackBar1_Scroll(object sender, System.EventArgs e)
		{
			int val = trackBar1.Value;
			numericUpDown1.Value = val;
		}

		private void numericUpDown1_ValueChanged(object sender, System.EventArgs e)
		{
			int val2 = (int)numericUpDown1.Value;
			trackBar1.Value = val2;
			DrawLine();
		}
	}
}
